Bug 729459 - libevent 2.0.10 - man pages are being installed in the wrong location
Summary: libevent 2.0.10 - man pages are being installed in the wrong location
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: libevent
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 19:43 UTC by Jose Pedro Oliveira
Modified: 2011-09-12 17:54 UTC (History)
3 users (show)

Fixed In Version: libevent-2.0.10-3.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-12 17:54:54 UTC


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2011-08-09 19:43:59 UTC
Description of problem:
The libevent-devel man pages (man3) are being installed in the wrong location
(/usr/share/doc/libevent-devel-2.0.10/man/man3/ vs /usr/share/man/man3)

Version-Release number of selected component (if applicable):
libevent-2.0.10-2.fc15


Additional info:
$ rpm -q libevent-devel
libevent-devel-2.0.10-2.fc15.x86_64

$ rpm -ql libevent-devel | grep "/man/man3/"
...
/usr/share/doc/libevent-devel-2.0.10/man/man3/evtimer_add.3.gz
/usr/share/doc/libevent-devel-2.0.10/man/man3/evtimer_assign.3.gz
/usr/share/doc/libevent-devel-2.0.10/man/man3/evtimer_del.3.gz
/usr/share/doc/libevent-devel-2.0.10/man/man3/evtimer_initialized.3.gz
/usr/share/doc/libevent-devel-2.0.10/man/man3/evtimer_new.3.gz
/usr/share/doc/libevent-devel-2.0.10/man/man3/evtimer_pending.3.gz
/usr/share/doc/libevent-devel-2.0.10/man/man3/evtimer_set.3.gz
...

Comment 1 Jose Pedro Oliveira 2011-08-09 19:45:47 UTC
Solution in the second part of the comment:

 * https://bugzilla.redhat.com/show_bug.cgi?id=727129#c8

Comment 2 Steve Dickson 2011-08-10 13:11:57 UTC
The Build is at:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3263861

Comment 3 Steve Dickson 2011-08-10 13:16:30 UTC
oops... I just noticed you opened this up against Fedora 15... reopening...

Comment 4 Fedora Update System 2011-08-10 13:48:11 UTC
libevent-2.0.10-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libevent-2.0.10-3.fc15

Comment 5 Steve Dickson 2011-08-11 15:45:59 UTC
By moving the man pages into the "proper" place, I know get the 
following confliction:

rpm -Uhv /tmp/libevent-*
Preparing...                ########################################### [100%]
	file /usr/share/man/man3/error.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch
	file /usr/share/man/man3/free.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch
	file /usr/share/man/man3/major.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch
	file /usr/share/man/man3/minor.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch

So I'm think moving the man pages back into /usr/share/doc
would be good...

Comment 6 stan 2011-08-17 14:02:58 UTC
I get these errors when trying to install the current version in updates-testing.

Transaction Check Error:
  file /usr/share/man/man3/deprecated.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package eet-devel-1.4.0-2.fc15.x86_64
  file /usr/share/man/man3/error.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch
  file /usr/share/man/man3/free.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch
  file /usr/share/man/man3/major.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch
  file /usr/share/man/man3/minor.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package man-pages-3.32-8.fc15.noarch
  file /usr/share/man/man3/high.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package QuantLib-doc-1.0.1-6.fc15.x86_64
  file /usr/share/man/man3/low.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package QuantLib-doc-1.0.1-6.fc15.x86_64
  file /usr/share/man/man3/name.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package QuantLib-doc-1.0.1-6.fc15.x86_64
  file /usr/share/man/man3/type.3.gz from install of libevent-devel-2.0.10-3.fc15.x86_64 conflicts with file from package QuantLib-doc-1.0.1-6.fc15.x86_64

Comment 7 Jose Pedro Oliveira 2011-08-17 15:04:19 UTC
(In reply to comment #6)
> I get these errors when trying to install the current version in
> updates-testing.

Stan, 

There are plans to stop generating and shipping the out-of-date libevent 2 man pages (see comments 15 to 17 of bug #727129).

/jpo

Comment 8 Rahul Sundaram 2011-08-19 03:02:21 UTC
Steve,  can you fix the man page conflict issue?  I don't expect such breakages in the regular Fedora 15 updates.

Comment 9 Steve Dickson 2011-09-12 17:53:12 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > I get these errors when trying to install the current version in
> > updates-testing.
> 
> Stan, 
> 
> There are plans to stop generating and shipping the out-of-date libevent 2 man
> pages (see comments 15 to 17 of bug #727129).
> 
> /jpo

Does it make sense to remove man pages in an update release? 
I'm thinking not... So Lets just stop shipping the man pages 
in F16 and I'll put things back where they were in f15

Basically this means reverting commit a4868f1d, don't do any 
update (wihch I've already deleted) and close this bug as wontfix.


Note You need to log in before you can comment on or make changes to this bug.